html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

a {
  margin: 0;
  padding: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
}

/* tables still need cellspacing="0" in the markup */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #cccccc;
  margin: 1em 0;
  padding: 0;
}

input, select {
  vertical-align: middle;
}

h1,h2,h3,h4,h5,h6 {
  font-weight: bold;
}

body {
  font: 13px Helvetica, Arial, sans-serif;
        *font-size: small;
        *font: x-small;
        line-height: 1.22;
}

table {
  font-size: inherit;
  font: 100%;
}

select, input, textarea {
  font: 99% Helvetica, Arial, sans-serif;
}

pre, code {
  font-family: monospace, sans-serif;
}

a:hover, a:active {
  outline: none;
}

strong, th {
  font-weight: bold;
}

td, td img {
  vertical-align:top;
} 

input[type="radio"] {
  vertical-align: text-bottom;
}

input[type="checkbox"] {
  vertical-align: bottom;
  *vertical-align: baseline;
}

label, input[type=button], input[type=submit], button {
  cursor: pointer;
}

button {
  width: auto;
  overflow: visible;
}

img {
  -ms-interpolation-mode: bicubic;
}

.ir {
  display: block;
  text-indent: -999em;
  overflow: hidden;
  background-repeat: no-repeat;
}

.hidden {
  display: none;
  visibility: hidden;
}

.invisible {
  visibility: hidden;
}

.clear {
  clear: both;
}
